package com.fs.store.service;

import com.fs.store.domain.FsTestTemp;
import com.fs.his.vo.OptionsVO;

import java.util.List;

/**
 * 测一测模板Service接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface IFsTestTempService
{
    /**
     * 查询测一测模板
     *
     * @param tempId 测一测模板主键
     * @return 测一测模板
     */
    public FsTestTemp selectFsTestTempByTempId(Long tempId);

    /**
     * 查询测一测模板列表
     *
     * @param fsTestTemp 测一测模板
     * @return 测一测模板集合
     */
    public List<FsTestTemp> selectFsTestTempList(FsTestTemp fsTestTemp);

    /**
     * 新增测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int insertFsTestTemp(FsTestTemp fsTestTemp);

    /**
     * 修改测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int updateFsTestTemp(FsTestTemp fsTestTemp);

    /**
     * 批量删除测一测模板
     *
     * @param tempIds 需要删除的测一测模板主键集合
     * @return 结果
     */
    public int deleteFsTestTempByTempIds(Long[] tempIds);

    /**
     * 删除测一测模板信息
     *
     * @param tempId 测一测模板主键
     * @return 结果
     */
    public int deleteFsTestTempByTempId(Long tempId);

    List<OptionsVO> selectAllTestTempList();

    List<String> selectFsTempTypeByTempId(Long tempId);
}
